﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using NLog;
using Quartz;
using Quartz.Impl;


namespace IBO.XJMYQP.WindowsServices
{
    public partial class RFIDMSService : ServiceBase
    {
        Logger logger;
        private IScheduler sched = null;
        public RFIDMSService()
        {
            InitializeComponent();

            logger = LogManager.GetCurrentClassLogger();
            ISchedulerFactory factory = new StdSchedulerFactory();
            sched = factory.GetScheduler();
        }

        protected override void OnStart(string[] args)
        {
            sched.Start();
            logger.Info("RFIDMSService服务启动");
        }

        protected override void OnStop()
        {
            sched.Shutdown(false);
            logger.Info("RFIDMSService服务停止");
        }


        protected override void OnPause()
        {
            sched.PauseAll();
        }

        protected override void OnContinue()
        {
            sched.ResumeAll();
        }
    }
}
